### Function

# Gtk Nativeget_for_surface

#### Declaration [src]

    GtkNative*
    gtk_native_get_for_surface (
      GdkSurface* surface
    )

#### Description [src]

Finds the `GtkNative` associated with the surface.

#### Parameters

`surface`

  Type: `GdkSurface`

  A `GdkSurface`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkNative`

The `GtkNative` that is associated with `surface`.

The data is owned by the called function.
The return value can be `NULL`.